const ADOBE_ORG_ID = '05FF6243578784B37F000101@AdobeOrg'
const TRACKING_SERVER = {
  trackingServer: 'schibstedspain.d3.sc.omtrdc.net',
  trackingServerSecure: 'schibstedspain.d3.sc.omtrdc.net'
}

export default new Promise(function(resolve, reject) {
  function retry(retries) {
    if (retries === 0) {
      return resolve('')
    } else {
      if (window.Visitor) {
        const demdex = window.Visitor.getInstance(ADOBE_ORG_ID, TRACKING_SERVER)
        if (demdex.getMarketingCloudVisitorID()) {
          const mcvid = demdex.getMarketingCloudVisitorID()
          return resolve(mcvid)
        }
      }
      window.setTimeout(function() {
        retry(--retries)
      }, 25)
    }
  }
  retry(80)
})
