import getAdobeVisitorId from './getAdobeVisitorId'
import getInfojobsVisitorId, {
  setVisitorId as setInfojobsVisitorId
} from './getInfojobsVisitorId'

export default async () => {
  let [infojobsVisitorId, adobeVisitorId] = await Promise.all([
    getInfojobsVisitorId,
    getAdobeVisitorId
  ])

  if (!infojobsVisitorId) {
    infojobsVisitorId = adobeVisitorId
    setInfojobsVisitorId(infojobsVisitorId)
  }

  return {infojobsVisitorId, adobeVisitorId}
}
