import suiAnalytics from './segmentWrapper'
import clickListener from './clickListener'
import idSync from './idSync'
import visitorIdHandler from './visitorIdHandler'

const loader = async () => {
  const {infojobsVisitorId, adobeVisitorId} = await visitorIdHandler()
  window.rubik = window.rubik || {}
  window.rubik.analytics = suiAnalytics({visitorId: infojobsVisitorId})

  idSync({infojobsVisitorId, adobeVisitorId})
  clickListener()
}

export default loader
